Subject: [dispatch] NNTP draft - reflection

From: E Sam <[email-masked]>
Date: Tue, 21 Apr 2020 14:45:00 -0400

After coding up a (possible) nntp 3 implementation, I want to put forth
some suggested changes in the draft:

Instead of ARTICLE responding with a special code for header only articles,
it should respond with the standard 430, 423, or 420 error code. This would
allow existing implementations to work smoothly with a header only feed
(article not found)

STAT should respond with an article does not exist code.

What do you think of these changes? It just appeared to me while writing
some NNTP stuff that new newsreaders might not recognize the new status
codes and thus capability with the existing ones is necessary. With many
newsreaders no longer being updated it is important we maintain
compatibility.

I caught some errata  in RFC 3977 but it looks like Julien Elie already
reported in '09. Nice!